:root {
  --media-border-radius: 0;
}

.video-player {
  width: 100%;
  display: block !important;
  max-width: 1280px;
  aspect-ratio: 16 / 9;
}

.video-player-area {
  width: 100%;
  display: grid !important;
  place-items: center;
  grid-auto-flow: column;
  grid-template-rows: auto;
  grid-template-columns: min(1280px, 75%) 1fr;
  max-height: 720px;
  background-color: var(--bg-highlight);
}

.video-player-area:not(:has(> :nth-child(2))) {
  grid-template-columns: 1fr;
  place-items: center;
}

.video-title {
  margin-top: 0.5em;
  margin-bottom: 0.1em;
}

.video-pubdate {
  opacity: 70%;
  font-size: 0.9em;
}

/* videojs */
video-player {
  aspect-ratio: 16 / 9;
  width: 100%;
  max-width: 1280px;
  display: block !important;
}

/* iframe */
.iframe-container {
  width: 100%;
  margin: 0;
  overflow: hidden;
  max-width: 1280px;
}

.iframe-container iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
  display: block;
  border: none;
}

/* paginator */
.paginator-pc {
  height: 0;
  width: 100%;
  overflow-y: auto;
  min-height: 100%;
  max-height: inherit;
}

.paginator-mobile {
  display: none;
  background-color: var(--bg-highlight);
}

.paginator-title {
  font-size: 1.5em;
  margin-bottom: 0.5em;
}

.paginator-date {
  opacity: 70%;
}


.paginator-content {
  padding: 0.5em 18px;
}

ul.paginator-list {
  display: flex;
  list-style-type: none;
  flex-direction: column;
  margin: 0;
  padding: 0;
  gap: 0.6em;
}

ul.paginator-list a {
  opacity: 80%;
  text-decoration: none;
  color: var(--fg);
  line-height: 1.2;
}

ul.paginator-list a.active {
  opacity: 100%;
  color: var(--accent);
}

ul.paginator-list a:hover {
  opacity: 100%;
}

@media (max-width: 840px) {
  .video-player-area {
    grid-template-columns: 1fr;
    grid-auto-flow: row;
  }

  .paginator-pc, .paginator-title {
    display: none;
  }

  .paginator-mobile {
    display: block;
    font-size: 1.1em;

    details {
      padding-top: 1em;
      padding-bottom: 2em;
      summary {
        font-size: 1.2em;
      }
    }
  }

  ul.paginator-list {
    gap: 0.8em;
  }
}